/*********************************************************************/
/* tclparse V2.00 from 14.March 1997                                 */
/* Copyright 1996/97 Stephan Weiss, Heiko Grossmann                  */
/*                   University of Stuttgart, Germany                */
/* For details see the copyright file included in the distribution.  */
/* This notice must not be removed from the file.                    */
/*                                                                   */
/*********************************************************************/

#ifndef _CONST_H_
#define _CONST_H_

const int bufferSize = 2000;
const int atomLength = 2;
const int symbolLength = 10;
const int wordLength = 200;
const int unitLength = 700;
const int idLength = 30;


/* Diese Strings dienen in der Informationsdatei zur Identifikation der Abschnitte */
const char commandInfoID[] = "***COMMANDS***";
const char variableInfoID[] = "***VARIABLES***";

const char optionsFileName[] = ".options.tclparse";
const char varsFileName[] = ".vars.tclparse";

enum dataType { atom, symbol, word, unit };


/* Diese Struktur dient zur Aufnahme der Informationen, die dem Programm beim
   Aufruf uebergeben werden */
struct SFlag {
  int commands;
  int tclmode;
  int procedures;
  int variables;
  int widgets;
  int errors;
  int warnings;
  int code;
  char *infoFile;
};


extern SFlag flag;


/* Alle (?) internen Tcl-Befehle */
const char tclCommandList[] = " after append array break case catch cd clock close concat continue eof error eval exec exit expr fblocked fconfigure file fileevent flush for foreach format gets glob global history if incr info interp join lappend lindex linsert list llength load lrange lreplace lsearch lsort open package pid proc puts pwd read regexp regsub rename return scan seek set socket source split string subst switch tell time trace unknown unset unsupported0 update uplevel upvar vwait while ";


/* Alle (?) internen Tk-Befehle */
const char tkCommandList[] = " . bell bind bindtags button canvas checkbutton clipboard destroy entry event focus frame grab grid image label listbox lower menu menubutton message option pack place radiobutton raise scale scrollbar selection send text tk tkwait toplevel winfo wm ";


/* Alle (?) Tcl-Befehle, die auch ohne Argumente angegeben werden koennen */
const char nullArgsTcl[] = " break cd concat continue exit history list pid pwd return update vwait ";

/* Alle (?) Tk-Befehle, die auch ohne Argumente angegeben werden koennen */
const char nullArgsTk[] = " bell destroy focus ";



/* Befehle, bei denen Schalter optional angegeben werden koennen und danach
   das Befehlsende folgt */
const char optionType1[] = " clock_format clock_scan canvas_arc canvas_bitmap canvas_image canvas_items canvas_line canvas_oval canvas_polygon canvas_postscript canvas_rectangle canvas_text canvas_window clipboard_clear fconfigure grid grid_columnconfigure grid_rowconfigure image_photo_copy image_photo_put image_photo_read image_photo_write menu_add pack place selection_clear selection_get selection_own button canvas checkbutton entry frame image_bitmap image_photo label listbox menu menubutton message radiobutton scale scrollbar text text_tag text_window toplevel ";

/* Befehle, bei denen Schalter optional angegeben werden koennen und danach
   NICHT das Befehlsende folgt */
const char optionType2[] = " exec glob lsearch lsort regexp regsub socket subst switch clipboard_append send selection_handle text_dump text_search ";

/* Befehle, bei denen Schalter optional angegeben werden koennen und danach
   das Befehlsende folgen KANN */
const char optionType3[] = " interp_create return ";


#endif



